<?xml version="1.0" encoding="utf-8" ?>
<select>
  <selectstr>
SELECT u_semi_finished_product.billid
	,u_semi_finished_product.billdate
	,u_semi_finished_product.billcode
	,u_semi_finished_product.flag
	,u_semi_finished_product.semi_finished_type
	,u_semi_finished_product.semi_finished_code
	,u_semi_finished_product.semi_finished_name
	,u_semi_finished_product.dscrp
	,u_semi_finished_product.production_size
	,u_semi_finished_product.hemming_process
	,u_semi_finished_product.hemmed_size
	,u_semi_finished_product.shrinkage_rate
	,u_semi_finished_product.elongation_rate
	,u_semi_finished_product.opemp
	,u_semi_finished_product.opdate
	,u_semi_finished_product.auditemp
	,u_semi_finished_product.auditdate
FROM u_semi_finished_product
  </selectstr>
  <where>
	<when notnull="@billid">
		u_semi_finished_product.billid = @billid
	</when>
  </where>
  <displayfields>
    <field field="pid" compute="getrow()">序</field>
    <field field="billcode">报价唯一码</field>
    <field field="semi_finished_type">半成品类型</field>
    <field field="semi_finished_code">半成品编码</field>
    <field field="semi_finished_name">半成品名称</field>
    <field field="flag" datatype="checkbox">审核</field>
    <field field="opemp">登记人</field>
    <field field="opdate">登记时间</field>
    <field field="auditemp">审核人</field>
    <field field="auditdate">审核时间</field>
    <field field="billdate">单据日期</field>
    <field field="production_size">生产尺寸</field>
    <field field="hemming_process">锁边工艺</field>
    <field field="hemmed_size">锁边后尺寸</field>
    <field field="shrinkage_rate">收缩率</field>
    <field field="elongation_rate">拉伸率</field>
    <field field="dscrp">备注</field>
  </displayfields>
</select>